<div class="row no-gutters align-items-center">
  <div class="col mr-2">
    <div class="text-xs font-weight-bold text-info text-uppercase mb-1">{{team.name}}</div>
    <div class="row no-gutters align-items-center">
      <div class="col">
        <div class="h5 mb-0 mr-3 text-gray-800"><span class="d-block d-sm-inline">Invite</span>
          <div class="d-inline" *ngIf="shareService.canShare()">
            <button class="btn btn-link" (click)="shareService.share({
                            title: 'LabBooking.App', text: 'You are invited to join a team in labbooking.app', url: invitationLink+team.invitationCode
                          })">
              <fa-icon class="text-gray-700" [icon]="faShareAlt" [fixedWidth]="true"
                       title="Copy invitation link into clipboard."></fa-icon>
            </button>
          </div>
          <div #invitationClipboardContainer class="d-inline" *ngIf="!shareService.canShare()">
            <button ngxClipboard [cbContent]="invitationLink+team.invitationCode"
                    *ngxClipboardIfSupported
                    [container]="invitationClipboardContainer" class="btn btn-link"
                    (cbOnSuccess)="showInvitationLinkCopied()">
              <fa-icon class="text-gray-700" [icon]="faShareAlt" [fixedWidth]="true"
                       title="Copy invitation link into clipboard."></fa-icon>
            </button>
          </div>
          <a *ngIf="isMobile"
             [href]="'whatsapp://send?text='+invitationLink+team.invitationCode | safeUrl"
             class="btn btn-link">
            <fa-icon class="text-gray-700" [icon]="faWhatsapp" [fixedWidth]="true"
                     title="Share invitation link via whatsapp."></fa-icon>
          </a>
          <a *ngIf="!isMobile"
             href="https://web.whatsapp.com/send?text={{invitationLink}}{{team.invitationCode}}"
             class="btn btn-link">
            <fa-icon class="text-gray-700" [icon]="faWhatsapp" [fixedWidth]="true"
                     title="Share invitation link via whatsapp."></fa-icon>
          </a>
          <button class="btn btn-link" (click)="openQrCode(invitationLink+team.invitationCode)">
            <fa-icon class="text-gray-700" [icon]="faQrcode" [fixedWidth]="true"
                     title="Show invitation link als QR code."></fa-icon>
          </button>
        </div>
      </div>
    </div>
  </div>
  <div class="col-auto d-none d-sm-block">
    <fa-icon class="text-gray-300" [icon]="faUsers" size="2x" [fixedWidth]="true"></fa-icon>
  </div>
</div>
